import { DecorationsManager, IRecycleTreeHandle, TreeModel } from '@opensumi/ide-components';
import { Disposable, Event } from '@opensumi/ide-core-browser';
import { WorkbenchEditorService } from '@opensumi/ide-editor/lib/common/index';
import { CommentContentNode, CommentFileNode, CommentReplyNode, CommentRoot } from './tree-node.defined';
export interface IEditorTreeHandle extends IRecycleTreeHandle {
    hasDirectFocus: () => boolean;
}
export declare class CommentTreeModel extends TreeModel {
    constructor(root: CommentRoot);
}
export declare class CommentModelService extends Disposable {
    private readonly commentService;
    private readonly injector;
    protected readonly editorService: WorkbenchEditorService;
    private _treeModel;
    private _whenReady;
    private _decorations;
    private _commentTreeHandle;
    private selectedDecoration;
    private focusedDecoration;
    private _focusedNode;
    private _selectedNodes;
    private onDidUpdateTreeModelEmitter;
    private disposableCollection;
    constructor();
    get onDidUpdateTreeModel(): Event<CommentTreeModel | undefined>;
    get whenReady(): Promise<void>;
    get commentTreeHandle(): IRecycleTreeHandle;
    get decorations(): DecorationsManager;
    get treeModel(): CommentTreeModel;
    get focusedNode(): CommentFileNode | CommentContentNode | CommentReplyNode | null;
    get selectedNodes(): (CommentFileNode | CommentContentNode | CommentReplyNode)[];
    initTreeModel(): Promise<void>;
    initDecorations(root: any): DecorationsManager;
    handleTreeHandler(handle: IRecycleTreeHandle): void;
    applyFocusedDecoration: (target: CommentFileNode | CommentContentNode | CommentReplyNode, dispatch?: boolean) => void;
    removeFocusedDecoration: () => void;
    handleTreeBlur: () => void;
    handleTwistierClick: (_: any, node: CommentFileNode | CommentContentNode | CommentReplyNode) => Promise<void>;
    handleItemClick: (_: any, node: CommentFileNode | CommentContentNode | CommentReplyNode) => Promise<void>;
    toggleDirectory: (item: CommentFileNode | CommentContentNode) => void;
    refresh(): Promise<void>;
    collapsedAll(): Promise<void>;
    dispose(): void;
}
//# sourceMappingURL=tree-model.service.d.ts.map